<?php

namespace Televox\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class CleanFiles extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'cleanFiles:all';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Se encarga de eliminar todas las grabaciones que se encuentren en /ZIP y en /audios';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $audios = new \DirectoryIterator("");
        $archivos = [];
        $archivos = array_merge($archivos, \glob(\public_path('ZIP/') . '*.*'));
        foreach ($archivos as $archivo) {
            if (!\unlink($archivo)) {
                Log::error("El archivo '$archivo' no se pudo borrar, esto se intento a las" . date('d-m-Y H:i:s:v') . " \n");
            }
        }
    }
}
